<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:field">
		<questionEvaluable>
			<xsl:apply-templates />
		</questionEvaluable>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sc:question">
		<enonce>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</enonce>
	</xsl:template>

	<xsl:template match="sp:asw | sc:SFSolution">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:SFSolution/sc:value">
		<reponseEvaluable>
			<texteReponseEvaluable>
				<xsl:value-of select="." />
			</texteReponseEvaluable>
		</reponseEvaluable>
	</xsl:template>

	<xsl:template match="sc:globalExplanation">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>

</xsl:stylesheet>
